﻿<!DOCTYPE html><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /></head><body>
<%var lang = args["language_type"]; %>
<%if(args['modules']=='mainContent'){%>
<div id="mainTab">
    <%    
     var tabNames = {
        "DC": "/*[ID_DC]*/",
        "SMDU":"/*[ID_SMDU]*/",
        "SMDUP":"/*[ID_SMDUP]*/",
        "SMDUP1":"/*[ID_SMDUP1]*/",
        "SMDUH":"/*[ID_SMDUH]*/",
        "EIB":"/*[ID_EIB]*/",
        "DCMETER":"/*[ID_DC_METER]*/",
        "FCUP":"/*[ID_FCUP]*/",
        "SMDUHH":"/*[ID_SMDUHH]*/",
        "NARADA_BMS":"/*[ID_NARADA_BMS]*/"
    };
    var empty = true;
	var configInfo = Configs.Template.info;
    var mainContent = Configs.Data.content.mainContent;
	var isConfig = data.COMMON.config;
	var n = 0;
	var itemData2 = mainContent[args["name"]];
    for(var name in mainContent){
        var itemData = mainContent[name]["SIGNAL"];
		if(!itemData){ continue; }
        if(itemData2 && itemData2["SIGNAL"].length>0 && isConfig[args["name"]]==0){
			/*判断单击传入进来的args["name"]数据是否配置且有数据*/
            data = itemData2;
            empty = false;
        } else {
			/*如果args["name"]未配置，循环其他的数据，找到有配置的项*/
			if(empty){
				if(itemData && itemData.length>0 && isConfig[name]==0){
					empty = false;
					data = mainContent[name];
					args["name"] = name;
				}
			}
        }
		/*输出当前循环项，配置且数据大于0*/
        if(itemData.length>0 && isConfig[name]==0){
    %>
    <a id="mainTab_<%=name %>" <%if(args["name"]==name){configInfo["currentMenu"] = ["#mainContent a",n];configInfo["name"] = name;%> class="currentMenu" <%}%> data='{"name":"<%=name %>","data":"/var/datas/data.system_dc.html","template":"<%if(name=='SMDUP' || name=='SMDUH'|| name=='SMDUHH'|| name=='SMDU'|| name=='EIB'){%>tmp.system_dc_smdup.html<% } else { %>tmp.system_dc.html<%}%>","menuIndex":"2","render":"artTemplate"<%if(name=='SMDUP' || name=='SMDUH'|| name=='SMDUHH'|| name=='SMDU'|| name=='EIB'){%>,modules:"mainBody"<%}%>}' hidefocus="true" href="#"><span><%=tabNames[name] %></span></a>
    <%n++;};};%>
    <%if(empty){ 
		data = {};
		args["name"] = "DC";
		configInfo["name"] = "DC";
		configInfo["currentMenu"] = ["#mainTab a",0];
	%>
    <a id="mainTab_DC" data='{"name":"DC","data":"/var/datas/data.system_dc.html","template":"tmp.system_dc.html","menuIndex":"2","render":"artTemplate"}' hidefocus="true" href="#"><span><%=tabNames["DC"] %></span></a>
    <%} %>
	<%if(isConfig["CABINETMAP"]==0){%>
    <a id="mainTab_CabinetMap" data='{"data":"/var/datas/data.cabinet_map.html","template":"tmp.cabinet_map.html","menuIndex":"2","modules":"mainBody","render":"artTemplate"}' hidefocus="true" href="#"><span>/*[ID_CABINET]*/</span></a>
	<%}%>
    </div>
<%}%>
<div class="extbackground">
<%if(args['modules']=='mainContent'){%>
<div class="mainBody" id="mainBody">
<%}%>
<div id="System_DC">
<%
    var nodataText = "/*[ID_NO_DATA]*/";
    var nodatas = true;
    for(var item in data){
        if(data[item].length>0){
        nodatas = false;
        for(var i=0,ilen=data[item][1].length;i<ilen; i++){
        var nodata = true;
%>        
    <div class="table-container margin-tn">
        <div class="table-title"><span><%=data[item][1][i][0][lang]%></span></div>
        <div class="table-list padding-tn">
            <div class="table">
                <div class="table-header">
                    <ul>
                        <li class="t-1"><strong class="left pl">/*[ID_SIGNAL]*/</strong></li>
                        <li class="t-2"><strong class="left pl">/*[ID_VALUE]*/</strong></li>
                        <li class="t-1" style="margin-left:37px;"><strong class="left pl">/*[ID_SIGNAL1]*/</strong></li>
                        <li class="t-2"><strong class="left pl">/*[ID_VALUE1]*/</strong></li>
                    </ul>
                </div>
                <div class="table-body">
                    <%
                    var g =0;
                    for(var j=0,jlen= data[item][0].length;j<jlen; j++){
                    g++;
                    if(g>3){ g = 0;}
                    var itemValue = data[item][1][i][j+1];
                    if(jQuery.type(itemValue)=="array"){
                        if(jQuery.type(itemValue[0])=="array"){
                            itemValue2 = itemValue[0][lang];
                        } else {
                            itemValue2 = itemValue[0];
                        };
                    } else {
                        itemValue2 =  itemValue;
                    }
                    if(Validates.CheckValue(itemValue)=="v_hidden"){ g--; } else {  nodata = false; }
                    %>
                    <ul class="<%if(g%2==0){ %>right <%} %><%if(g==1 || g==2){ %> gray<%if(j==jlen-1 || j==jlen-2){ %> bottom_line <%}} else { if(j==jlen-1 || j==jlen-2){ %> bottom_line <%}} %>  <%=Validates.CheckValue(itemValue)%>">
                        <li class="t-1"><span class="left pl"><%=data[item][0][j][lang] %></span></li>
                        <li class="t-2"><span class="left pl"><%=itemValue2 %></span></li>
                    </ul>
                    <%} %>
                    <%if(nodata){ %>
                    <div class="system-no-data"><%=nodataText %></div>
                    <%} %>
                </div>
            </div>
        </div>
    </div>
    <%};};} %>
    <%if(nodatas){ %>
       <div class='is-empty'><%=nodataText %></div>
    <%} %>
</div>
<%if(args['modules']=='mainContent'){%>
</div>
<%}%>
</div>
</body></html>
<script>
        if(!(window.location.href.toString().indexOf("hl")>-1))
        {
            var IPurl = window.location.href.toString().split("app")[0];
            window.location.href=""+IPurl+"app/www_user/html/eng/login.html";
        }
</script>